#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libssh
Version		:	0.9.5
Release		:	16.2.0.rel%{?dist}
Summary		:	A library implementing the SSH protocol
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://www.libssh.org

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	cmake >= 3.3.0
BuildRequires	:	gcc-c++
BuildRequires	:	gnupg
BuildRequires	:	openssl-devel
BuildRequires	:	pkg-config

#-----------------------------------------------------------------------------
%description
The ssh library was designed to be used by programmers needing a working SSH
implementation by the mean of a library. The complete control of the client is
made by the programmer. With libssh, you can remotely execute programs, transfer
files, use a secure and transparent tunnel for your remote programs. With its
Secure FTP implementation, you can play with remote files easily, without
third-party programs others than libcrypto (from openssl).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.4*

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	Development files for libssh2

Requires	:	%{name}	= %{version}-%{release}
Requires	:	pkg-config

#-----------------------------------------------------------------------------
%description		devel
The libssh2-devel package contains libraries and header files for
developing applications that use libssh.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/%{name}pp.hpp
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/%{name}-config*.cmake

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build
%{__mkdir_p} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DSYSCONFDIR=%{_sysconfdir}				\
	-DMANDIR=%{_mandir}					\
	-DSERVER_TESTING=ON					\
	-DCMAKE_VERBOSE_MAKEFILE=TRUE				\
	-DCMAKE_C_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS"		\
	-DCMAKE_CXX_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS"	\
	-DCMAKE_BUILD_TYPE=Release				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{?_smp_mflags}

%{__make} doc

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

pushd build
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

popd


#-----------------------------------------------------------------------------
%changelog
